Skip to contents

# Tidy Randomly Generated Poisson Distribution Tibble

Source: `R/random-tidy-poisson.R`
`tidy_poisson.Rd`

This function will generate `n` random points from a Poisson distribution with a user provided, `.lambda`, and number of random simulations to be produced. The function returns a tibble with the simulation number column the x column which corresponds to the n randomly generated points, the `d_`, `p_` and `q_` data points as well.

The data is returned un-grouped.

The columns that are output are:

- `sim_number` The current simulation number.

- `x` The current value of `n` for the current simulation.

- `y` The randomly generated data point.

- `dx` The `x` value from the `stats::density()` function.

- `dy` The `y` value from the `stats::density()` function.

- `p` The values from the resulting p_ function of the distribution family.

- `q` The values from the resulting q_ function of the distribution family.

## Usage

    tidy_poisson(.n = 50, .lambda = 1, .num_sims = 1, .return_tibble = TRUE)

## Arguments

.n

  The number of randomly generated points you want.

.lambda

  A vector of non-negative means.

.num_sims

  The number of randomly generated simulations you want.

.return_tibble

  A logical value indicating whether to return the result as a tibble. Default is TRUE.

## Value

A tibble of randomly generated data.

## Details

This function uses the underlying `stats::rpois()`, and its underlying `p`, `d`, and `q` functions. For more information please see `stats::rpois()`

## See also

https://r-coder.com/poisson-distribution-r/

https://en.wikipedia.org/wiki/Poisson_distribution

Other Poisson: `tidy_zero_truncated_poisson()`, `util_poisson_param_estimate()`, `util_poisson_stats_tbl()`

Other Discrete Distribution: `tidy_bernoulli()`, `tidy_binomial()`, `tidy_hypergeometric()`, `tidy_negative_binomial()`, `tidy_zero_truncated_binomial()`, `tidy_zero_truncated_negative_binomial()`, `tidy_zero_truncated_poisson()`

## Author

Steven P. Sanderson II, MPH

## Examples

    tidy_poisson()
    #> # A tibble: 50 × 7
    #>    sim_number     x     y     dx      dy     p     q
    #>    <fct>      <int> <int>  <dbl>   <dbl> <dbl> <dbl>
    #>  1 1              1     1 -1.13  0.00453 0.736     1
    #>  2 1              2     0 -1.02  0.0102  0.368     0
    #>  3 1              3     0 -0.913 0.0213  0.368     0
    #>  4 1              4     0 -0.805 0.0408  0.368     0
    #>  5 1              5     1 -0.698 0.0721  0.736     1
    #>  6 1              6     1 -0.591 0.118   0.736     1
    #>  7 1              7     1 -0.484 0.177   0.736     1
    #>  8 1              8     1 -0.376 0.245   0.736     1
    #>  9 1              9     1 -0.269 0.314   0.736     1
    #> 10 1             10     2 -0.162 0.371   0.920     2
    #> # ℹ 40 more rows